#!/bin/bash
chemin_encour=`pwd`
version=1.0
repdest=abuleduV${version}
chemin_source=$chemin_encour/abuledu
chemin_destination=$chemin_encour/$repdest

chemin_file_necessaire=$chemin_encour/filemodif

# Récupère la version avec BZR
bzr branch sftp://redmine.ryxeo.com/home/groupes/developpeurs/abuledu/abuledu-srv-terrier/serveur-proto-sf/ abuledu

if [ -d  ${repdest} ]; then    
  rm -Rf ${repdest}
fi

mkdir ${repdest}
chmod 777 ${repdest}


echo '*********** Netoyage script **************'
php $chemin_file_necessaire/nettoyage_script.php $chemin_source $chemin_destination $version
echo '*********** Fin Netoyage script **************'

cd $chemin_destination
echo '********** Ajoute les droits utilisateurs **********'
sudo chown -R $USER:$USER *

echo '********** Supprime les répertoires inutiles **********'
rm -Rf apps/backabuledu/
rm -Rf apps/serveursf/
rm -Rf test
rm -Rf cache/
rm -Rf log
rm -Rf doc/
rm -Rf nbproject/
rm config/deploy*
rm vhost.sh
rm initproject.sh
rm -Rf lib/migration/doctrine/*
rm -Rf lib/test
sudo rm -Rf .bzr
rm -f .bzrignore
rm -f Capfile

echo '********** Supprime les fichiers inutiles **********'
cd web
rm serveursf_dev.php
rm serveursf.php
rm backabuledu.php
rm backabuledu_dev.php
rm .htaccess_prototype
rm .htaccess_serveursf
rm .htaccess_backabuledu
rm .htaccess_abuleduLdap
rm -Rf sfDoctrinePlugin
rm -Rf ksWdCalendarPlugin
rm -Rf sfFormExtraPlugin
rm -Rf sfJqueryReloadedPlugin
rm -Rf sfJqueryTreeDoctrineManagerPlugin

cd $chemin_destination

echo '********** Enlève les plugins **********'
rm -Rf plugins/abuleduLdapPlugin/
rm config/LDAPAuth.yml
rm -Rf plugins/abuleduCASifyPlugin/

echo '********** Néttoyage de la base **********'
rm -Rf `find lib/ -type f -name *tbl_session*`
rm -Rf `find lib/ -type f -name *tbl_application*`
rm -Rf `find lib/ -type f -name *tbl_log*`
rm -Rf `find lib/ -type f -name *tbl_exercice*`
rm -Rf `find lib/ -type f -name *tbl_skill*`
rm -Rf `find lib/ -type f -name *tbl_evaluation*`
rm -Rf `find lib/ -type f -name *tbl_level*`
rm -Rf `find lib/ -type f -name *tbl_cateeducnat*`
rm -Rf `find lib/ -type f -name *tbl_educnat*`
rm -Rf `find lib/ -type f -name *tbl_educnatskill*`
rm -Rf `find lib/ -type f -name *tbl_leveleducnat*`
rm -Rf `find lib/ -type f -name *tbl_skillapplication*`

rm data/fixtures/*
if [ -f  data/sql/schema.sql ]; then
  rm data/sql/schema.sql
fi
echo '********** Copie les fichiers necessaires **********'
cp $chemin_file_necessaire/app.yml apps/ent/config/
cp $chemin_file_necessaire/factories.yml apps/ent/config/
cp $chemin_file_necessaire/filters.yml apps/ent/config/
cp $chemin_file_necessaire/databases.yml config/
cp $chemin_file_necessaire/schema.yml config/doctrine/
cp $chemin_file_necessaire/permission.yml data/fixtures/
cp $chemin_file_necessaire/initproject_lite.sh ./
cp $chemin_file_necessaire/vhost_lite.sh ./
cp $chemin_file_necessaire/ProjectConfiguration.class.php config/

cd ..
tar -cf abuledu.tar $repdest
rm -Rf $repdest
rm -Rf abuledu
